﻿@using SiteGuide.Web.Controllers;
@model SiteSearchResults

@{
    ViewData["Title"] = "Search Results";
}

<h1>@ViewData["Title"]</h1>

@*TODO: Add search box*@
@if (!Model.Matches.Any())
{
    <div>No results found for search term "@Model.SearchTerm".</div>
}
else
{
    <table class="table">
        <thead>
            <tr>
                <th>Name</th>
                <th>Location</th>
                <th>Type</th>
                <th>Conditions</th>
                <th>Rating</th>
                <th>Height</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Matches)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.ShortLocation)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Type)
                    </td>
                    @if (String.IsNullOrEmpty(item.Closed))
                    {
                        <td>
                            @Html.DisplayFor(modelItem => item.Conditions)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Rating)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Height)
                        </td>
                    }
                    else
                    {
                        <td colspan="3">
                            @Html.DisplayFor(modelItem => item.Closed)
                        </td>
                    }
                    <td>
                        <a asp-action="Details" asp-route-id="@item.Name">Details</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
}